#
# spec file for package python3-google-apputils
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-google-apputils
Version:        0.4.2
Release:        2.9
Summary:        Google Application Utilities for Python
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/google/google-apputils
Source:         https://files.pythonhosted.org/packages/source/g/google-apputils/google-apputils-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-dateutil
BuildRequires:  python3-python-gflags
BuildRequires:  python3-pytz
Requires:       python3-dateutil
Requires:       python3-python-gflags
Requires:       python3-pytz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This project is a small collection of utilities for building Python
applications. It includes some of the same set of utilities used to build and
run internal Python apps at Google.

%prep
%setup -q -n google-apputils-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README LICENSE

%changelog
* Sat Jul 23 2016 arun@gmx.de
- initial version
